Subject: Re: [RFC PATCH 1/6] invisible network devices

From: Stephen Hemminger <[email-masked]>
Date: Mon, 29 Jan 2007 10:28:14 -0800

On Mon, 29 Jan 2007 18:48:06 +0100 (CET)
Jiri Benc <[email-masked]> wrote:

> The d80211 stack needs a network interface (called 'wmaster') used for
> communication with the hardware (it has 802.11 qdisc attached which perform
> MAC level QoS). This interface is not intended for users and it confuses
> them.
> 
> As a short time solution, this patch allows net_device to be registered as
> "invisible". This means it is not in the dev name hash list, its ifindex is
> -1 and protocols are not notified about its registration/unregistration.
> 
> Signed-off-by: Jiri Benc <[email-masked]>
>

Maybe code would be cleaner if you just could do:
	register_netdevice(mydev);

	cloak_netdevice(mydev);

And cloak_netdevice() just removed the network device from the 
name table.  I would rather keep it with a real ifindex and in the
device list, so that if the interface is miss used or the device
is referenced by other devices, we don't see unexpected surprises
like oops.

-- 
Stephen Hemminger <[email-masked]>